Skip to content
GET
Use dark colors for code blocksCopy
1
https://static-maps-api.arcgis.com/arcgis/rest/services/static-maps-service/beta/static-maps/arcgis/{arcgis-style}/using-many-points
Returns a static map in an ArcGIS Basemap style displaying multiple locations.

arcgis/imagery

Returns a static map that displays an ArcGIS Basemap style for multiple WGS84 points, as defined by the PointFeature type.

The geographical extent of the static map is defined by the extent of the points along with padding values. The multiple locations can be highlighted by pin or circle symbols that can be customized by color, scale, and with a label. The static map image width and height can be defined, along with the image format, which can be png, jpeg, or webp.

Choose this option if you want to:

  • display up to 10 points on your static map using the same simple pin or circle symbol.
  • label simple symbols with sequential numbers or letters.

Choose the POST option if you want to:

  • display up to 10 points using specific pin, circle, or custom symbols.
  • provide custom labels for each pin or circle symbol.

Please note that the ArcGIS Basemap style attribution statement must be displayed every time the static map is visible. It must be positioned very close to the static map, or it can be provided via a popup or menu if the static map is embedded in an application or website. The relevant attribution statement for an ArcGIS Basemap style is available from the /static-maps/arcgis/{arcgis-style}/attribution endpoint. For more information see the ArcGIS Location Platform Agreement on the Terms of use.

Query parameters

NameTypeRequiredDefault valueDescription
pointsMultiPoint

An array of points to be displayed on the static map.

symbolStylestring

The style of the marker symbol.

symbolScaleSymbolScale1

The scale of the marker symbol as a multiplier of the symbol's dimensions.

symbolColorHexColor007AC2

The hexadecimal color code for the marker symbol.

labelOptionstringnone

The marker symbol can have a label showing a single letter or number.

mapImageWidthMapImageWidth200

The width of the requested map image in pixels at 96 DPI between 64 and 1024 pixels.

mapImageHeightMapImageHeight200

The height of the requested map image in pixels at 96 DPI between 64 and 1024 pixels.

mapImageFormatMapImageFormatwebp

The format of the map image, such as png, jpg, webp.

paddingPadding0

The padding applied to the static map adds extra map content between the static map's extent and the edge of the image.

tokenstring

The authentication token, used to access the static maps service.

points

An array of points to be displayed on the static map.

The points are displayed using the same symbolStyle.

The maximum number of coordinate pairs is 10.

symbolStyle

The style of the marker symbol.

Enumerated values

pin
Click to copy
circle
Click to copy

symbolScale

The scale of the marker symbol as a multiplier of the symbol's dimensions.

A scale value less than 1.0 indicates that the symbol is scaled down, while a value greater than 1.0 indicates that the symbol is scaled up. For example, a scale of 0.5 will reduce the symbol's dimensions to half its original size. A scale of 2.0 will double the symbol's dimensions.

The minimum scale is 0.1 and the maximum scale is 4.0.

Minimum
0.1
Maximum
4
Default
1

symbolColor

The hexadecimal color code for the marker symbol.

It has the form RRGGBB.

  • RR is the red value
  • GG is the green value
  • BB is the blue value
Minimum length
6
Maximum length
6
Default
007AC2

labelOption

The marker symbol can have a label showing a single letter or number.

If the value is set to letter, a label of A is set on the marker symbol of the first point in the list of points. A label of B is set on the marker symbol of second point, up to the letter I.

If the value is set to number, a label of 1 is set on the marker symbol of the first point in the list of points. A label of 2 is set on the marker symbol of second point, and so on up to the number 9.

If the value is set to none, all marker symbols will not have labels.

Default
none

Enumerated values

none
Click to copy
letter
Click to copy
number
Click to copy

mapImageWidth

The width of the requested map image in pixels at 96 DPI between 64 and 1024 pixels.

Minimum
64
Maximum
1024
Default
200

mapImageHeight

The height of the requested map image in pixels at 96 DPI between 64 and 1024 pixels.

Minimum
64
Maximum
1024
Default
200

mapImageFormat

The format of the map image, such as png, jpg, webp.

Default
webp

Enumerated values

png
Click to copy
jpg
Click to copy
webp
Click to copy

padding

The padding applied to the static map adds extra map content between the static map's extent and the edge of the image.

Padding value is a % of the static map image's width and/or height. It is applied to the static map image, according to the table below:

Number of values in the arrayDescriptionExample
OneThe same padding % is applied to all four sides.[10]
TwoThe first value applies padding to the top and bottom, the second to the left and right sides.[10, 5 ]
ThreeThe first value applies padding to the top, the second to the left and right sides, and the third to the bottom.[10, 20, 10]
FourThe four values apply padding to the top, right, bottom, and left in a clockwise order.[10, 5, 5, 20]

If padding is not specified, a value of 10% is applied to all sides.

Default
[0]

token

The authentication token, used to access the static maps service.

The token parameter can be either an API Key or short-lived token.

This parameter is required unless you supply an access token in the request header with one of the following keys using the "Bearer" scheme:

  • Authorization: Bearer <YOUR_TOKEN>
  • X-Esri-Authorization: Bearer <YOUR_TOKEN>

The provided token must be created from an ArcGIS Location Platform account and have the necessary portal:user:allowBetaAccess privilege to use the static maps service.

Developer guide: To learn more, go to Security and authentication.

Path parameters

NameTypeRequiredDescription
arcgis-stylestring

The name of a style from the ArcGIS Basemap style family.

arcgis-style

The name of a style from the ArcGIS Basemap style family.

GroupStyleExampleDescriptionData attribution
StreetsnavigationnavigationA custom navigation style designed for use during daylight hoursEsri, TomTom, Garmin, FAO, NOAA, USGS, © OpenStreetMap contributors, and the GIS User Community
Streetsnavigation-nightnavigation-nightA custom navigation style designed for use in hours of darknessEsri, TomTom, Garmin, FAO, NOAA, USGS, © OpenStreetMap contributors, and the GIS User Community
StreetsstreetsstreetsA classic Esri street map style designed for use during daylight hoursEsri, TomTom, Garmin, FAO, NOAA, USGS, © OpenStreetMap contributors, and the GIS User Community
Streetsstreets-nightstreets-nightA classic Esri street map style designed for use in hours of darknessEsri, TomTom, Garmin, FAO, NOAA, USGS, © OpenStreetMap contributors, and the GIS User Community
SatelliteimageryimageryLow-resolution satellite imagery for the world and high-resolution satellite and aerial imagery, typically within 3-5 years of currency, for most of the world.Esri, Vantor, GeoEye, Earthstar Geographics, CNES/Airbus DS, USDA, USGS, AeroGRID, IGN, © OpenStreetMap contributors, TomTom, Garmin, FAO, NOAA, and the GIS User Community

Enumerated values

streets
Click to copy
streets-night
Click to copy
navigation
Click to copy
navigation-night
Click to copy
imagery
Click to copy

Response status

StatusMeaningDescriptionSchema
200OK

Static map in a desired image format.

string(binary)
400Bad Request

Invalid query parameters / Incorrect portal item type / Data URL parse failure.

Error
401Unauthorized

Authentication Error. The API key or token is missing, invalid or expired.

Error
403Forbidden

The requested resource cannot be accessed because of incorrect sharing permissions.

Error
404Not Found

The requested resource cannot be found - this could be due to missing map data at the requested location and zoom level.

Error
5XXServer Error

An error occurred on the server.

Error

Examples

Request

Use dark colors for code blocksCopy
1
2
# You can also use wget
curl -X GET 'https://static-maps-api.arcgis.com/arcgis/rest/services/static-maps-service/beta/static-maps/arcgis/streets/using-many-points?points=-117.1957%2C34.0561%2C-117.1942%2C34.0569%2C-117.1964%2C34.05685%2C-117.1945%2C34.0573&token=YOUR_TOKEN'

Your browser is no longer supported. Please upgrade your browser for the best experience. See our browser deprecation post for more details.